> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Create

POST https://restapi.ordergroove.com/retention_incentives/
Content-Type: application/json

Create the provided eligible retention incentives for a given customer;

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/retention-incentives/create

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /retention_incentives/:
    post:
      operationId: create
      summary: Create
      description: Create the provided eligible retention incentives for a given customer;
      tags:
        - retentionIncentives
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Retention Incentives_create_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRequestBadRequestError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                merchant_user_id:
                  type: string
                  description: >-
                    The external ID of the customer for whom to retrieve the
                    eligibility evaluation. This field is required for
                    non-customer-level authentication and is not supported for
                    customer-level authentication.
                retention_incentives_to_create:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/RetentionIncentivesPostRequestBodyContentApplicationJsonSchemaRetentionIncentivesToCreateItems
                  description: List of retention incentives to create for the customer;
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    RetentionIncentivesPostRequestBodyContentApplicationJsonSchemaRetentionIncentivesToCreateItemsTarget:
      type: string
      enum:
        - item
      description: >-
        Target for which the retention incentive should be created for; Right
        now, we only support item-level retention incentives, meaning that the
        target needs to always be "item";
      title: >-
        RetentionIncentivesPostRequestBodyContentApplicationJsonSchemaRetentionIncentivesToCreateItemsTarget
    RetentionIncentivesPostRequestBodyContentApplicationJsonSchemaRetentionIncentivesToCreateItems:
      type: object
      properties:
        target:
          $ref: >-
            #/components/schemas/RetentionIncentivesPostRequestBodyContentApplicationJsonSchemaRetentionIncentivesToCreateItemsTarget
          description: >-
            Target for which the retention incentive should be created for;
            Right now, we only support item-level retention incentives, meaning
            that the target needs to always be "item";
        target_id:
          type: string
          description: Target's public ID;
        incentive_template_id:
          type: string
          description: Incentive template public ID whose customer is eligible for;
      required:
        - target
        - target_id
        - incentive_template_id
      title: >-
        RetentionIncentivesPostRequestBodyContentApplicationJsonSchemaRetentionIncentivesToCreateItems
    RetentionIncentivesPostResponsesContentApplicationJsonSchemaRetentionIncentivesItemsIncentive:
      type: object
      properties:
        name:
          type: string
        public_id:
          type: string
        type:
          type: string
        field:
          type: string
        discount_type:
          type: string
        value:
          type: string
        threshold_field:
          description: Any type
        threshold_value:
          description: Any type
        target:
          type: string
      title: >-
        RetentionIncentivesPostResponsesContentApplicationJsonSchemaRetentionIncentivesItemsIncentive
    RetentionIncentivesPostResponsesContentApplicationJsonSchemaRetentionIncentivesItems:
      type: object
      properties:
        public_id:
          type: string
        stacking_type:
          type: string
        target:
          type: string
        target_id:
          type: string
        incentive:
          $ref: >-
            #/components/schemas/RetentionIncentivesPostResponsesContentApplicationJsonSchemaRetentionIncentivesItemsIncentive
        created:
          type: string
      title: >-
        RetentionIncentivesPostResponsesContentApplicationJsonSchemaRetentionIncentivesItems
    Retention Incentives_create_Response_200:
      type: object
      properties:
        merchant_user_id:
          type: string
        retention_incentives:
          type: array
          items:
            $ref: >-
              #/components/schemas/RetentionIncentivesPostResponsesContentApplicationJsonSchemaRetentionIncentivesItems
      title: Retention Incentives_create_Response_200
    CreateRequestBadRequestError:
      type: object
      properties: {}
      title: CreateRequestBadRequestError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/retention_incentives/"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/retention_incentives/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/retention_incentives/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/retention_incentives/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/retention_incentives/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/retention_incentives/', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/retention_incentives/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/retention_incentives/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```